Package: org.codehaus.groovy.syntax

## [Java] Class ParserException

- org.codehaus.groovy.syntax.ParserException

-     public class ParserException
      extends TokenException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ParserException(String message, Token token)`
    `ParserException(String message, Throwable cause, int lineNumber, int columnNumber)`
    `ParserException(String message, Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public ParserException(String message, Token token)

    - #### public ParserException(String message, Throwable cause, int lineNumber, int columnNumber)

    - #### public ParserException(String message, Throwable cause, int lineNumber, int columnNumber, int endLineNumber, int endColumnNumber)